%define name	vsftpd
%define version	2.0.1
%define	release	1mdk

Summary:	Very Secure File Transfer Protocol Daemon.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://vsftpd.beasts.org/
Source0:	ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}.tar.bz2
Source1:	vsftpd.xinetd
Source2:	vsftpd.pam
Source3:	vsftpd.ftpusers
Source4:	vsftpd.user_list
Patch1:		vsftpd-1.1.1-rh.patch.bz2
Patch2:		vsftpd-1.0.1-missingok.patch.bz2
Patch3:		vsftpd-1.2.0-anon.patch.bz2
#Patch4:	vsftpd-1.2.0-pam-link.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq:		rpm-helper
Requires:	xinetd
Provides:	ftpserver
Conflicts:	wu-ftpd
Conflicts:	proftpd
Conflicts:	ncftpd
Conflicts:	pure-ftpd

%description
A Very Secure FTP Daemon - written from scratch - by Chris "One Man Security
Audit Team" Evans.

%prep
%setup -q
%patch1 -p1 -b .orig
%patch2 -p1 -b .mok
%patch3 -p1 -b .anon
#%patch4 -p1 -b .pam-link

%build
%serverbuild
# Change a few defaults in the source/config first:
perl -pi -e 's|%{_sysconfdir}/vsftpd.banned_emails|/etc/vsftpd/banned-emails|g' tunables.c vsftpd.conf*
perl -pi -e 's|%{_sysconfdir}/vsftpd.chroot_list|/etc/vsftpd/chroot-list|g' tunables.c vsftpd.conf*
perl -pi -e 's|%{_sysconfdir}/vsftpd.user_list|/etc/vsftpd/user_list|g' tunables.c vsftpd.conf*
%make
# should go to rh patch.
# Change a few defaults in the config:
perl -pi -e 's|#ls_recurse_enable|ls_recurse_enable|' vsftpd.conf
## Fix the /usr/local problem in the xinetd entry
perl -pi -e 's|/usr/local/sbin/vsftpd|%{_sbindir}/vsftpd|' xinetd.d/vsftpd

%install
rm -rf %buildroot
mkdir -p %buildroot/var/ftp/pub

install -m755 vsftpd -D %buildroot%{_sbindir}/vsftpd
install -m600 vsftpd.conf -D %buildroot%{_sysconfdir}/vsftpd.conf
install -m644 xinetd.d/vsftpd -D %buildroot%{_sysconfdir}/xinetd.d/vsftpd
install -m644 vsftpd.conf.5 -D %buildroot/%{_mandir}/man5/vsftpd.conf.5
install -m644 vsftpd.8 -D %buildroot%{_mandir}/man8/vsftpd.8
install -m644 RedHat/vsftpd.log -D %buildroot%{_sysconfdir}/logrotate.d/vsftpd
install -m644 %{SOURCE2} -D %buildroot%{_sysconfdir}/pam.d/vsftpd
install -m600 %{SOURCE3} -D %buildroot%{_sysconfdir}/vsftpd/ftpusers
install -m600 %{SOURCE4} -D %buildroot%{_sysconfdir}/vsftpd/user_list
touch %buildroot%{_sysconfdir}/vsftpd/banned-emails
touch %buildroot%{_sysconfdir}/vsftpd/chroot-list

%post
%_post_service xinetd

%preun
%_preun_service xinetd

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc AUDIT BENCHMARKS BUGS Changelog INSTALL LICENSE README* REWARD
%doc SECURITY/ SIZE SPEED TODO TUNING
%{_sbindir}/vsftpd
%attr(0555,ftp,ftp) %dir /var/ftp
%attr(2555,ftp,ftp) %dir /var/ftp/pub
%attr(700,root,root) %dir %{_sysconfdir}/vsftpd
%attr(600,root,root) %config(noreplace) %{_sysconfdir}/vsftpd/*
%config(noreplace) %{_sysconfdir}/vsftpd.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/vsftpd
%config(noreplace) %{_sysconfdir}/pam.d/vsftpd
%config(noreplace) %{_sysconfdir}/logrotate.d/vsftpd
%{_mandir}/*/*

%changelog
* Mon Jul 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.1-1mdk
- 2.0.1
- drop P0 (fixed upstream)
- cosmetics

* Tue Apr 27 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.2-1mdk
- macros
- removed redundant requires
- Anne Nicolas <ennael@mandrake.org> 
 - release 1.2.2 (bug fixes)
 - fix unstability under extreme load

* Mon Nov 24 2003 Daouda LO <daouda@mandrakesoft.com> 1.2.1-1mdk
- release 1.2.1 (bug fixes)

* Wed Apr 23 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-2mdk
- Add more Conflicts: pure-ftpd ncftpd
- Patch4: Use normal link command for pam injection

* Tue Jan 14 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0 version

* Tue Oct 15 2002 Damien Chaumette <dchaumette@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1 version

* Sun May 26 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.1-1mdk
- first mandrake version
